allocatedAnalyses
Returns all analyses that the analyst is allocated to
allocatedAnalyses(
page: Int
limit: Int
): ProjectCollection!
Arguments
allocatedAnalyses.page ● Int scalar
allocatedAnalyses.limit ● Int scalar
Type
ProjectCollection object
ProjectCollection type
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
The API key must belong to an analyst allocated to at least one analysis.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetAllocatedAnalyses($page: Int, $limit: Int) {\n allocatedAnalyses(page: $page, limit: $limit) { collection { id label status } metadata { currentPage limitValue totalCount } }\n}","variables":{"page":1,"limit":20}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetAllocatedAnalyses($page: Int, $limit: Int) {\n allocatedAnalyses(page: $page, limit: $limit) { collection { id label status } metadata { currentPage limitValue totalCount } }\n}",
variables: {
"page": 1,
"limit": 20
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetAllocatedAnalyses($page: Int, $limit: Int) {\n allocatedAnalyses(page: $page, limit: $limit) { collection { id label status } metadata { currentPage limitValue totalCount } }\n}",
'variables': json.loads("{\"page\":1,\"limit\":20}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute